$AdfDhtmlInputDatePeer$$.$_SUB_ID_MAP$ = {timezoneName:"tzDispName", timezoneId:"tzDispId", pickerIcon:"glyph"};
$AdfDhtmlInputDatePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputDatePeer$$$$$GetSubIdDomElement$$($subElementId$$25$$) {
  var $component$$2423$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$25$$, $AdfDhtmlInputDatePeer$$.$_SUB_ID_MAP$, $component$$2423$$, this, $AdfDhtmlInputDatePeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputDatePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputDatePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputDatePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputDatePeer$$$$$GetBestMatchSubId$$($domElement$$645$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$645$$, this, $AdfDhtmlInputDatePeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputDatePeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputDatePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputDatePeer$$.prototype.$GetBestMatchSubId$});
